%define major		22
%define gi_major	0.0
%define libname		%mklibname gdata %major
%define develname	%mklibname -d gdata
%define girname		%mklibname gdata-gir %gi_major

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libgdata
Version:	0.17.8
Release:	%mkrel 2
Summary:	Library for the GData protocol
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/libgdata
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		libgdata-0.13.0-CVE-2012-1177.diff
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig(gcr-base-3)
BuildRequires:	pkgconfig(gio-2.0) >= 2.17.3
BuildRequires:	pkgconfig(glib-2.0) >= 2.19.0
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.26.1
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(oauth) >= 0.9.4
BuildRequires:	pkgconfig(libuhttpmock-0.0)
BuildRequires:	rootcerts
Requires:	rootcerts

%description
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.

%package i18n
Summary:	Library for the GData protocol - translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.

%package -n %{libname}
Summary:	Library for the GData protocol
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.


%package -n %develname
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gdata-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for GData
Group:		System/Libraries
Conflicts:	%mklibname gdata 7
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GData.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x \
    --disable-static \
    --with-ca-certs=/etc/pki/tls/certs/ca-bundle.crt
%make

%install
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%find_lang gdata

%files i18n -f gdata.lang

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/gdata/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/GData-%{gi_major}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/GData-%{gi_major}.typelib


%changelog
* Sun Apr 23 2017 wally <wally> 0.17.8-2.mga6
+ Revision: 1097150
- rebuild for ARM

* Thu Apr 20 2017 ovitters <ovitters> 0.17.8-1.mga6
+ Revision: 1096927
- new version 0.17.8

* Sun Mar 05 2017 ovitters <ovitters> 0.17.7-1.mga6
+ Revision: 1088897
- new version 0.17.7

* Mon Sep 26 2016 tv <tv> 0.17.6-2.mga6
+ Revision: 1056849
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Tue Sep 20 2016 ovitters <ovitters> 0.17.6-1.mga6
+ Revision: 1054756
- new version 0.17.6

* Wed Aug 10 2016 luigiwalser <luigiwalser> 0.17.5-1.mga6
+ Revision: 1045277
- 0.17.5

* Sun Dec 13 2015 ovitters <ovitters> 0.17.4-1.mga6
+ Revision: 910140
- new version 0.17.4

* Mon Sep 14 2015 ovitters <ovitters> 0.17.3-1.mga6
+ Revision: 879322
- new version 0.17.3

* Fri Jul 10 2015 ovitters <ovitters> 0.17.2-1.mga6
+ Revision: 853182
- new version 0.17.2

* Tue Jun 30 2015 wally <wally> 0.17.1-3.mga6
+ Revision: 848988
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 0.17.1-2.mga6
+ Revision: 847529
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 0.17.1-1.mga6
+ Revision: 838073
- new version 0.17.1

* Tue Nov 11 2014 ovitters <ovitters> 0.16.1-1.mga5
+ Revision: 796323
- new version 0.16.1

* Wed Oct 15 2014 umeabot <umeabot> 0.16.0-3.mga5
+ Revision: 742829
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.16.0-2.mga5
+ Revision: 731176
- rebuild so that it picks typelib() requires

* Fri Sep 19 2014 ovitters <ovitters> 0.16.0-1.mga5
+ Revision: 697397
- new version 0.16.0

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sat Aug 09 2014 ovitters <ovitters> 0.15.2-1.mga5
+ Revision: 661273
- new version 0.15.2

* Wed May 28 2014 ovitters <ovitters> 0.15.1-1.mga5
+ Revision: 627090
- new version 0.15.1

* Thu Feb 06 2014 wally <wally> 0.15.0-2.mga5
+ Revision: 584566
- loosen requires a bit

* Thu Feb 06 2014 dams <dams> 0.15.0-1.mga5
+ Revision: 584154
- update major

  + ovitters <ovitters>
    - new version 0.15.0

* Wed Feb 05 2014 ovitters <ovitters> 0.14.1-1.mga5
+ Revision: 582763
- new version 0.14.1

* Sat Nov 09 2013 ovitters <ovitters> 0.14.0-3.mga4
+ Revision: 550180
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.14.0-2.mga4
+ Revision: 533381
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 ovitters <ovitters> 0.14.0-1.mga4
+ Revision: 472858
- new version 0.14.0

* Fri Aug 02 2013 ovitters <ovitters> 0.13.4-1.mga4
+ Revision: 462722
- new version 0.13.4

* Fri May 24 2013 dams <dams> 0.13.3-1.mga4
+ Revision: 426398
- new version 0.13.3

* Sat Jan 12 2013 umeabot <umeabot> 0.13.2-2.mga3
+ Revision: 357167
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 ovitters <ovitters> 0.13.2-1.mga3
+ Revision: 300847
- new version 0.13.2

* Sat Jul 28 2012 ovitters <ovitters> 0.13.1-1.mga3
+ Revision: 275324
- br gcr-base-3
- br goa-1.0
- new version 0.13.1

* Wed Jul 25 2012 luigiwalser <luigiwalser> 0.13.0-3.mga3
+ Revision: 274295
- fix CVE-2012-1177 (from mdv)

* Thu Jul 19 2012 ovitters <ovitters> 0.13.0-2.mga3
+ Revision: 272686
- i18n is noarch

* Wed Jun 27 2012 ovitters <ovitters> 0.13.0-1.mga3
+ Revision: 264506
- new version 0.13.0

* Mon Apr 02 2012 ovitters <ovitters> 0.12.0-1.mga2
+ Revision: 227907
- new version 0.12.0

* Mon Mar 12 2012 fwang <fwang> 0.11.1-1.mga2
+ Revision: 222850
- new version 0.11.1

* Tue Feb 14 2012 ovitters <ovitters> 0.11.0-2.mga2
+ Revision: 208761
- clean spec

* Wed Dec 21 2011 wally <wally> 0.11.0-1.mga2
+ Revision: 185450
- new version 0.11.0

* Thu Sep 15 2011 fwang <fwang> 0.10.1-1.mga2
+ Revision: 143697
- new version 0.10.1

  + wally <wally>
    - new version 0.10.0
    - clean .spec a bit

* Wed Jul 06 2011 dmorgan <dmorgan> 0.9.1-2.mga2
+ Revision: 119084
- Fix buildrequires
- Fix major
- New version 0.9.1
- New version 0.9.1
- Add missing attr()

* Tue Jun 14 2011 cjw <cjw> 0.7.1-4.mga2
+ Revision: 106034
- fix dependencies

* Mon Jun 13 2011 cjw <cjw> 0.7.1-3.mga2
+ Revision: 105804
- put the gir .typelib file in a separate package
- conflict with lib(64)gdata7

* Thu Jun 09 2011 dmorgan <dmorgan> 0.7.1-2.mga2
+ Revision: 102554
- Add comment about .la files removing

* Wed Jun 08 2011 dmorgan <dmorgan> 0.7.1-1.mga2
+ Revision: 102030
- New version 0.7.1

* Sun Jan 16 2011 pterjan <pterjan> 0.6.6-1.mga1
+ Revision: 20510
- Drop obsolete scriptlets
- imported package libgdata

